﻿@{
    ViewBag.NomePagina = "Cobrança";
}
@Html.Partial("~/Views/Paginas/GestaoCobranca/Partials/_IndexStyle.cshtml")
<div class="titulo-pagina">
    <span>
        TGV Vendas  &nbsp;
        <i class="fa fa-arrow-right"></i>
        &nbsp;Títulos  &nbsp;
        <i class="fa fa-arrow-right"></i>
        Cobrança
    </span>
</div>
<div id="divPesquisa">
    <div class="campos-holder">
        <i class="material-icons">search</i>
        <i class="material-icons">more_vert</i>
        <i class="material-icons icon-clear">close</i>
        <input id="txtCodCliente" type="text" class="ctrl-filtro numerico" maximo="10" placeholder="Código..." style="width: 30%;" />
        <i class="material-icons">more_vert</i>
        <i class="material-icons icon-clear">close</i>
        <input id="txtRazaoSocial" type="text" class="ctrl-filtro" maximo="100" placeholder="Razão Social..." />
        <i class="material-icons">more_vert</i>
        <i class="material-icons icon-clear">close</i>
        <input id="txtNumCgcEmpPes" type="text" class="ctrl-filtro cnpj" maximo="14" placeholder="CNPJ..." style="width: 50%;" />
        <i class="material-icons">more_vert</i>
        @Html.Partial("~/Views/Partials/Select2GrupoEconomico.cshtml", new Select2GrupoEconomicoViewModel() { idControleSelect2 = "selGrpEcoFil", idControleInput = "txtGrpEcoFil", tipoPesquisa = true, ativo = true, clasColSelect = "col-lg-13", margintopSel = "margin-top:7px" })
        <i class="material-icons">more_vert</i>
        <select id="ddlStatus" class="form-control">
            <option value="0" selected="selected">Selecione um status...</option>
            <option value="1">ABERTO</option>
            <option value="2">PAGO</option>
            <option value="3">ATRASO</option>
            <option value="5">PREJUIZO</option>
            <option value="4">CANCELADO</option>
        </select>
        <i class="material-icons">more_vert</i>
        @Html.Partial("~/Views/Partials/Select2ConsultoresAtivosCob.cshtml", new Select2ConsultoresViewModel() { idControleSelect2 = "selCon", idControleInput = "txtCon", tipoPesquisa = true, clasColSelect = "col-md-2" })
        <i class="material-icons">more_vert</i>
        <div class="input-daterange">
            <div class="input-daterange input-mesano-daterangedmy" style="display:flex;">
                <i class="material-icons icon-clear" style="margin-top: 7px;">close</i>
                <input id="txtMesAnoRef" name="txtMesAnoRef" data-required="1" type="text" class="mdl-textfield__input datedmy filtro" placeholder="Ano Mês Referencia" style="border-bottom:0; text-align:left; color:#6c757d;padding-left:5px;">
                <label class="mdl-textfield__label" for="txtMesAnoRef"></label>
            </div>
        </div>
        <i class="material-icons">more_vert</i>
        <button class="btn btn-success" id="btnPesquisarTela">
            Pesquisar
        </button>
    </div>
    <div class="dataTables_consulta">
        <div id="grdCobrancaContainer"></div>
    </div>
</div>
<div class="body" style="display:none" id="divCobranca">
    <div class="tgv-cabecalho-container">
        <div class="col-md-6 titulo-tela">
            <strong class="strong-cabecalho-tgv">Títulos</strong>
        </div>
        <div class="col-md-6 tgv-crud-log-text divShowHide">
            <strong class="strong-cabecalho-codigo-tgv">Código:</strong> <span><input type="text" id="txtCodCobranca" class="input-span-title" value="" /></span>
            <span class="tgv-mer-log">
                <i class="fa fa-file-text-o" aria-hidden="true" id="btnLogInfo"></i>
            </span>
            <div class="tgv-mer-log-container" id="logInfoContainer">
                <div class="paddingbottom">
                    <div class="row rowlog">
                        <div class="col-lg-12">
                            <strong class="log-title-border">Registro</strong>
                        </div>
                    </div>
                </div>
                <div class="paddingbottom">
                    <div class="row rowlog">
                        <div class="col-lg-12">
                            <strong class="log-title">Desativação:</strong> <span><input type="text" id="txtDatFncDstLog" class="input-span-log" disabled value="" /></span>
                        </div>
                    </div>
                    <div class="row rowlog">
                        <div class="col-lg-12">
                            <strong class="log-title">Por:</strong> <span><input type="text" id="txtFncDstLog" class="input-span-log" disabled value="" /></span>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="tgv-crud-container tgv-mat-closer">
        <div class="body">
            <div class="row">
                <div class="col-lg-1">
                    <label for="input-text-1">
                        <strong class="strong-min-tgv">Cliente:</strong>
                    </label>
                </div>
                <div class="col-lg-4">
                    <input type="text" class="mdl-textfield__input camponaoeditavel" readonly id="txtCliente" name="txtCliente">
                    <label class="mdl-textfield__label" for="txtCliente"></label>
                </div>
                <div class="col-lg-2">
                    <label for="input-text-1">
                        <strong class="strong-min-tgv">CNPJ:</strong>
                    </label>
                </div>
                <div class="col-lg-4">
                    <input type="text" class="mdl-textfield__input camponaoeditavel" readonly id="txtNumCgcCli" name="txtNumCgcCli">
                    <label class="mdl-textfield__label" for="txtNumCgcCli"></label>
                </div>
            </div>
            <div class="row">
                <div class="col-lg-1">
                    <label for="input-text-1">
                        <strong class="strong-min-tgv">Responsavel:</strong>
                    </label>
                </div>
                <div class="col-lg-4">
                    <input type="text" class="mdl-textfield__input camponaoeditavel" readonly id="txtResponsavel" name="txtResponsavel">
                    <label class="mdl-textfield__label" for="txtResponsavel"></label>
                </div>
                <div class="col-lg-2">
                    <label for="input-text-1">
                        <strong class="strong-min-tgv">Status Cliente:</strong>
                    </label>
                </div>
                <div class="col-lg-4">
                    <input type="text" class="mdl-textfield__input camponaoeditavel" readonly id="txtStatus" name="txtStatus">
                    <label class="mdl-textfield__label" for="txtStatus"></label>
                </div>
            </div>
            <div class="row">
                <div class="col-lg-1">
                    <label for="input-text-1">
                        <strong class="strong-min-tgv">Sld.Devedor:</strong>
                    </label>
                </div>
                <div class="col-lg-4">
                    <input type="text" class="mdl-textfield__input camponaoeditavel" readonly id="txtSaldoDevedor" name="txtSaldoDevedor">
                    <label class="mdl-textfield__label" for="txtSaldoDevedor"></label>
                </div>
            </div>
            <div class="row">
                <form id="frmAnotacaoNegociacao" novalidate="novalidate">
                    <div class="body">
                        <div class="row paddingtop paddingleft">
                            <div class="col-lg-3">
                                <label for="input-text-1">
                                    <strong class="strong-min-tgv">Agendamento:</strong>
                                </label>
                                <div class="col-lg-12" style="display: flex; padding-left: 0px;">
                                    <div class="mdl-textfield mdl-js-textfield">
                                        <div class="input-daterange input-daterangedmy">
                                            <div class="form-group filtro" style="margin-bottom: 0">
                                                <input id="txtDatAntNeg" name="txtDatAntNeg" data-required="1" type="text" class="mdl-textfield__input datedmy limparTooltipChange" placeholder="Data">
                                                <label class="mdl-textfield__label" for="txtDatAntNeg"></label>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="mdl-textfield mdl-js-textfield" style="padding-left:10px;">
                                        <div class="input-daterange input-timerangedmy">
                                            <div class="form-group filtro" style="margin-bottom: 0">
                                                <input id="txtHoraAntNeg" name="txtHoraAntNeg" data-required="1" type="text" class="mdl-textfield__input timedmy limparTooltipChange" placeholder="Hora">
                                                <label class="mdl-textfield__label" for="txtHoraAntNeg"></label>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="col-lg-6">
                                <label for="input-text-1">
                                    <strong class="strong-min-tgv">Observação:</strong>
                                </label>
                                <div class="mdl-textfield mdl-js-textfield">
                                    <textarea id="txtDesObsAntNeg" name="txtDesObsAntNeg" auto-height="true" rows="5" cols="50" class="mdl-textfield__input obs-border limparTooltipKeyDown" maxlength="2000"></textarea>
                                    <label class="mdl-textfield__label" for="txtDesObsAntNeg"></label>
                                </div>
                            </div>
                            <div class="col-md-1 nopadding" style="margin-top: 39px;">
                                <button id="btnInserirAnotacaoNegociacao" type="button" class="btn btn-sm btn-success">
                                    <i class="fa fa-arrow-down">&nbsp;</i>Inserir
                                </button>
                            </div>
                        </div>
                    </div>
                </form>
            </div>
            <br />
            <div class="portlet-body">
                <div class="tabbable-custom">
                    <div class="col-lg-12 nopaddingleft nopaddingright paddingbottom" style="display:flex">
                        <div class="col-lg-11 nopaddingleft nopaddingright">
                            <ul class="nav nav-tabs" id="tbsMdlCad">
                                <li class="nav-item">
                                    <a href="#tab_1" data-toggle="tab" class="nav-link active show" data-tab="nf" aria-expanded="false"> Títulos </a>
                                </li>
                                <li class="nav-item">
                                    <a href="#tab_2" data-toggle="tab" class="nav-link" data-tab="ant" onclick="ajustaAnotacao();" aria-expanded="false"> Anotações </a>
                                </li>
                                <li class="nav-item">
                                    <a href="#tab_3" data-toggle="tab" class="nav-link" data-tab="ddscli" onclick="ajustaAnotacao();" aria-expanded="false"> Dados Cliente </a>
                                </li>
                                <li class="nav-item">
                                    <a href="#tab_4" data-toggle="tab" class="nav-link" data-tab="ctocli" aria-expanded="false"> Contatos </a>
                                </li>
                                <li class="nav-item">
                                    <a href="#tab_5" data-toggle="tab" class="nav-link" data-tab="estcom" aria-expanded="false"> Estrutura Comercial </a>
                                </li>
                                <li class="nav-item">
                                </li>
                            </ul>
                        </div>
                        <div class="col-lg-1 nopaddingleft" style="text-align:right;">
                            <button id="btnDossie" type="button" style="background-color: var(--tgv-blue-color); color:#fff;" class="btn">
                                <i class="fa fa-cubes">&nbsp;</i>Dossiê
                            </button>
                        </div>
                    </div>
                </div>
                <div class="tab-content">
                    <div class="tab-pane fade active in" id="tab_1">
                        @*<form id="frmNotasFiscais" novalidate="novalidate">*@
                        <div class="dataTables_modificado dataTables_personalizado">
                            <div id="grdNotasFiscaisContainer"></div>
                        </div>
                        @*</form>*@
                    </div>
                    <div class="tab-pane fadeIn" id="tab_2">
                        <form id="frmAnotacaoNegociacao" novalidate="novalidate">
                            <div class="body">
                                <div id="divAnt" style="width: 99.5%;"></div>
                            </div>
                        </form>
                        @*<div id="divAnt" style="width: 99.5%;"></div>*@
                    </div>
                    <div class="tab-pane fadeIn" id="tab_3">
                        <div class="body" id="divDadosCliente">
                            <form id="frmDadosCliente" novalidate="novalidate">
                                <div class="row paddingbottom">
                                    <div class="col-md-2">
                                        <label for="input-text-1">
                                            <strong class="strong-min-tgv">Tipo Endereço:</strong>
                                        </label>
                                        <div class="tgv-select-material">
                                            <select id="ddlTipEnd" name="ddlTipEnd" class="form-control">
                                                <option value="0" selected>VENDA</option>
                                                <option value="1">ENTREGA</option>
                                                <option value="2">FISCAL</option>
                                                <option value="3">COBRANÇA</option>
                                            </select>
                                        </div>
                                    </div>
                                    <div class="col-md-4" id="divGrupoEconomicoLink">
                                        <label for="input-text-1">
                                            <strong class="strong-min-tgv">Grupo Econômico:</strong>
                                        </label>
                                        <a href="#" onclick="abreAbaGrupoEconomico();"><input type="text" class="mdl-textfield__input icone" readonly id="txtGrupoEconomico" name="txtGrupoEconomico"></a>
                                    </div>
                                </div>
                                <div class="row paddingbottom">
                                    <div class="col-md-3">
                                        <label for="input-text-1">
                                            <strong class="strong-min-tgv">Endereço:</strong>
                                        </label>
                                        <input type="text" class="mdl-textfield__input camponaoeditavel" readonly id="txtEnderecoCli" name="txtEnderecoCli">
                                        <label class="mdl-textfield__label" for="txtEnderecoCli"></label>
                                    </div>
                                    <div class="col-md-3">
                                        <label for="input-text-1">
                                            <strong class="strong-min-tgv">Bairro:</strong>
                                        </label>
                                        <input type="text" class="mdl-textfield__input camponaoeditavel" readonly id="txtBairroCli" name="txtBairroCli">
                                        <label class="mdl-textfield__label" for="txtBairroCli"></label>
                                    </div>
                                    <div class="col-md-3">
                                        <label for="input-text-1">
                                            <strong class="strong-min-tgv">Cidade/Estado:</strong>
                                        </label>
                                        <input type="text" class="mdl-textfield__input camponaoeditavel" readonly id="txtNomCidEstCli" name="txtNomCidEstCli">
                                        <label class="mdl-textfield__label" for="txtNomCidEstCli"></label>
                                    </div>
                                    <div class="col-md-3">
                                        <label for="input-text-1">
                                            <strong class="strong-min-tgv">Cep:</strong>
                                        </label>
                                        <input type="text" class="mdl-textfield__input camponaoeditavel" readonly id="txtCepCli" name="txtCepCli">
                                        <label class="mdl-textfield__label" for="txtCepCli"></label>
                                    </div>
                                </div>
                                <div class="row paddingbottom">
                                    <div class="col-md-3">
                                        <label for="input-text-1">
                                            <strong class="strong-min-tgv">IE:</strong>
                                        </label>
                                        <input type="text" class="mdl-textfield__input camponaoeditavel" readonly id="txtIeCli" name="txtIeCli">
                                        <label class="mdl-textfield__label" for="txtIeCli"></label>
                                    </div>
                                    <div class="col-lg-3">
                                        <label for="input-text-1">
                                            <strong class="strong-min-tgv">Unidade de Negócio:</strong>
                                        </label>
                                        <input type="text" class="mdl-textfield__input camponaoeditavel" readonly id="txtUnidadeCli" name="txtUnidadeCli">
                                        <label class="mdl-textfield__label" for="txtUnidadeCli"></label>
                                    </div>
                                    <div class="col-lg-3">
                                        <label for="input-text-1">
                                            <strong class="strong-min-tgv">Canal:</strong>
                                        </label>
                                        <input type="text" class="mdl-textfield__input camponaoeditavel" readonly id="txtCanalCli" name="txtCanalCli">
                                        <label class="mdl-textfield__label" for="txtCanalCli"></label>
                                    </div>
                                    <div class="col-lg-3">
                                        <label for="input-text-1">
                                            <strong class="strong-min-tgv">Atividade:</strong>
                                        </label>
                                        <input type="text" class="mdl-textfield__input camponaoeditavel" readonly id="txtAtividadeCli" name="txtAtividadeCli">
                                        <label class="mdl-textfield__label" for="txtAtividadeCli"></label>
                                    </div>
                                </div>
                                <div class="row paddingbottom">
                                    <div class="col-lg-3">
                                        <label for="input-text-1">
                                            <strong class="strong-min-tgv">Segmento:</strong>
                                        </label>
                                        <input type="text" class="mdl-textfield__input camponaoeditavel" readonly id="txtSegmentoCli" name="txtSegmentoCli">
                                        <label class="mdl-textfield__label" for="txtSegmentoCli"></label>
                                    </div>
                                    <div class="col-lg-3">
                                        <label for="input-text-1">
                                            <strong class="strong-min-tgv">Qtde Caixa:</strong>
                                        </label>
                                        <input type="text" class="mdl-textfield__input camponaoeditavel" readonly id="txtQtdeCaixaCli" name="txtQtdeCaixaCli">
                                        <label class="mdl-textfield__label" for="txtQtdeCaixaCli"></label>
                                    </div>
                                    <div class="col-lg-3">
                                        <label for="input-text-1">
                                            <strong class="strong-min-tgv">Área Venda:</strong>
                                        </label>
                                        <input type="text" class="mdl-textfield__input camponaoeditavel" readonly id="txtAreaVendaCli" name="txtAreaVendaCli">
                                        <label class="mdl-textfield__label" for="txtAreaVendaCli"></label>
                                    </div>
                                    <div class="col-lg-3">
                                        <label for="input-text-1">
                                            <strong class="strong-min-tgv">Área Deposito:</strong>
                                        </label>
                                        <input type="text" class="mdl-textfield__input camponaoeditavel" readonly id="txtAreaDepositoCli" name="txtAreaDepositoCli">
                                        <label class="mdl-textfield__label" for="txtAreaDepositoCli"></label>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-lg-3">
                                        <label for="input-text-1">
                                            <strong class="strong-min-tgv">Forma de Pagamento:</strong>
                                        </label>
                                        <input type="text" class="mdl-textfield__input camponaoeditavel" readonly id="txtFormaPagamentoCli" name="txtFormaPagamentoCli">
                                        <label class="mdl-textfield__label" for="txtFormaPagamentoCli"></label>
                                    </div>
                                    <div class="col-lg-3">
                                        <label for="input-text-1">
                                            <strong class="strong-min-tgv">Banco:</strong>
                                        </label>
                                        <input type="text" class="mdl-textfield__input camponaoeditavel" readonly id="txtBancoCli" name="txtBancoCli">
                                        <label class="mdl-textfield__label" for="txtBancoCli"></label>
                                    </div>
                                    <div class="col-lg-3">
                                        <label for="input-text-1">
                                            <strong class="strong-min-tgv">Agência:</strong>
                                        </label>
                                        <input type="text" class="mdl-textfield__input camponaoeditavel" readonly id="txtAgenciaCli" name="txtAgenciaCli">
                                        <label class="mdl-textfield__label" for="txtAgenciaCli"></label>
                                    </div>
                                    <div class="col-lg-3">
                                        <label for="input-text-1">
                                            <strong class="strong-min-tgv">Conta Corrente:</strong>
                                        </label>
                                        <input type="text" class="mdl-textfield__input camponaoeditavel" readonly id="txtContaCorrenteCli" name="txtContaCorrenteCli">
                                        <label class="mdl-textfield__label" for="txtContaCorrenteCli"></label>
                                    </div>
                                </div>
                            </form>
                        </div>
                    </div>
                    <div class="tab-pane fadeIn" id="tab_4">
                        <form id="frmContatosCliente" novalidate="novalidate">
                            <div class="dataTables_modificado dataTables_personalizadocontato">
                                <div id="grdCadastroContatoGeralContainer"></div>
                            </div>
                        </form>
                    </div>
                    <div class="tab-pane fadeIn" id="tab_5">
                        <div class="body" id="divEstrutura">
                            <form id="frmEstrutura" novalidate="novalidate">
                                @*<div class="tgv-cabecalho-container">
                                        <div class="col-md-6 titulo-tela">
                                            <strong class="strong-cabecalho-tgv">Martins</strong>
                                        </div>
                                    </div>*@
                                @*<div class="tgv-crud-container tgv-mat-closer">*@
                                <div class="dataTables_modificado">
                                    <div id="grdEstruturaMartinsContainer"></div>
                                </div>
                                @*</div>*@
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <div class="row tgv-button-toolbar" style="display: none; justify-content: center;" id="divBtnCRM">
            <button id="btnFecharCobranca" type="button" class="btn btn-danger">
                <i class="fa fa-arrow-left">&nbsp;</i>
                Voltar
            </button>
        </div>
    </div>
</div>
@* HIDDENS *@
<input id="txtCodigoClienteHid" name="txtCodigoClienteHid" type="text" style="display:none">
<div id="modalContato" class="modal animated pulse" role="dialog">
    <div class="modal-dialog modal-lg">
        <div class="modal-content">
            <div class="modal-body">
                @Html.Partial("~/Views/Paginas/Contato/CadastroContato/Partials/_IndexCadastro.cshtml")
            </div>
            @Html.Partial("~/Views/Paginas/Contato/CadastroContato/Partials/_IndexScript.cshtml")
        </div>
    </div>
</div>
@Html.Partial("~/Views/Paginas/GestaoCobranca/Partials/_IndexGridModalAlterarResponsavel.cshtml")
@Html.Partial("~/Views/Paginas/GestaoCobranca/Partials/_IndexScript.cshtml")
@Html.Partial("~/Views/Paginas/GestaoCobranca/Partials/_IndexGridModalEmailBoleto.cshtml")
